FROM node:14 as builder
# Container runs Nginx. Server root is at /opt
# - http://xxx/sla : React.js
# - http://xxx/api: Reverse proxy to CIMI server (PROXY env var hold URL)
#
# Nginx config file is written at runtime to set location of CIMI
# (i.e. /tmp/default.conf.prod template is substituted
# and written to /etc/nginx/conf.d/default)
WORKDIR /opt/sla

COPY package*.json ./
#COPY ./build .
#COPY resources/default.conf.prod /etc/nginx/conf.d/default.conf
COPY ./src ./src
COPY ./public ./public

RUN npm install
#RUN npm install react-scripts

RUN npm run build 

#########################################################################
FROM nginx:1.16-alpine

WORKDIR /opt/sla

COPY --from=builder /opt/sla/package*.json ./
COPY --from=builder /opt/sla/build .
COPY resources/default.conf.prod /etc/nginx/conf.d/default.conf 

EXPOSE 8000

#CMD ["nginx", "-g", "daemon off;"]
CMD set | grep "SLALITE_UI_ENV_" | while read e; do echo "window.${e}" >> env.js; done && nginx -g "daemon off;"

